PDA

View Full Version : Critical error: Couldn't find base BaseMagicModifier referenced inů


jhurshman
03-23-2011, 10:08 PM
I haven't played Din's Curse in a while, and thought I'd give it a whirl tonight.

So such luck; I instantly get an error on launch:

Critical error: Couldn't find base BaseMagicModifier referenced in BaseModifierStrength

The game then quits.

What's the situation here? I have applied the 1.022 patch, and the installer claimed success, though Info.plist in the application package shows 1.007.

Aet
03-24-2011, 02:00 AM
How did you go about applying the patch? I've found that simply clicking Yes and Okay through all the dialogs isn't enough - not only do I need to select the correct hard drive, I also need to navigate to the folder containing the Din's Curse application itself and choose that. Every single patch. Despite it already seeming to think it knows where to look.

Also, the patch for 1.023 is currently out.

Shadow
03-24-2011, 09:31 AM
Yeah, it sounds like the patch didn't installed into the correct directory.

jhurshman
03-24-2011, 09:42 AM
OK, thanks for the info on the patch process. (That is definitely sub-optimal.)

I applied patch 1.023, and the Info.plist file now shows that version number.

I am no longer getting the above-mentioned error. Now I am getting a critical error that Fonts/Gentium16.fnt can't be found.

Roswitha
03-24-2011, 10:37 AM
Which OS are you using?

Clicking Yes and OK works just fine for me (Win XP).

Shadow
03-25-2011, 03:05 PM
Info.plist is a Mac thing.

The fonts are in assets001.zip which is a file that the patch installer should not have touched at all. Is assets001.zip still in the Assets directory?